CREATE TABLE hwm_tcats_b (
    TCAT_ID                  NUMBER(18, 0) ,
    PERSISTENT_FLAG          VARCHAR2(120) ,
    TCAT_CD                  VARCHAR2(320) ,
    UOM                      VARCHAR2(120) ,
    ACR_RULE_ID              NUMBER(18, 0) ,
    MODULE_ID                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    TCAT_ID                  NUMBER(18, 0) ,
    TCAT_CD                  VARCHAR2(320) ,
    MODULE_ID                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    SGUID                    VARCHAR2(128) ,
    PERSISTENT_FLAG          VARCHAR2(120) ,
    UOM                      VARCHAR2(120) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ACR_RULE_ID              NUMBER(18, 0) ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hwm_tcats_b PRIMARY KEY (TCAT_ID, TCAT_ID)
);
